package com.muyu.etl.data.access.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/29 19:35
 * @注释
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EtlDataSqlReq {
    @Schema(type = "String", description ="任务传过来的SQL" )
    private String sql;
    @Schema(type = "Long",description = "数据源的ID")
    private Long basicId;
}
