package com.muyu.etl.data.access.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/2 12:15
 * @注释
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TableDataResp {
    /**
     * 数据源ID
     */
    private Long basicId;
    /**
     * 表名
     */
    private String tableName;
    /**
     * 字段名
     */
    private String columnName;
    /**
     * 字段 数据库类型
     */
    private String columnType;
    /**
     * 字段描述
     */
    private String columnRemark;

}
