package com.muyu.etl.data.access.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TableInfoResp {

    /**
     * id
     */
    private Long id;

    /**
     * mysql字段
     */
    private Long basicId;
    /**
     * 表名称/数据库
     */
    private String tableName;

    /**
     * 表备注
     */
    private String tableRemark;

    /** 数据量 */
    private Long dataNum;

    /** 是否核心 'Y'是 'N'不是 */
    private String isCenter;

    /**
     * 子内容
     */
    private List<TableInfoResp> children;


}
