package com.muyu.etl.data.access.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.etl.data.access.domain.EtlTableUserPermission;
import com.muyu.etl.data.access.domain.req.EtlTableUserPermissionReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 14:52
 * @注释
 */
@Mapper
public interface EtlTableUserPermissionMapper extends BaseMapper<EtlTableUserPermission> {




    List<Long> findUserIdList(EtlTableUserPermissionReq req);

    List<Long> findDeptIdList(EtlTableUserPermissionReq req);

    List<EtlTableUserPermission> findTableIdAndBasicIdByUserId(Long userId);

    List<EtlTableUserPermission> findTableIdAndBasicIdByDeptId(Long deptId);
}
