package com.muyu.etl.data.access.service.impl;

import com.muyu.etl.data.access.data.access.client.basic.DataSourceConfig;
import com.muyu.etl.data.access.domain.resp.DataSourceResp;
import com.muyu.etl.data.access.service.DataSourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/9
 * @Description: 本地实现类
 * @Version: 1.0
 */
@Service
@Primary
public class DataSourceConfigLocalImpl implements DataSourceConfig {

    @Autowired
    private DataSourceService dataSourceService;

    @Override
    public List<DataSourceResp> getIsUseDataSourceList () {
        return dataSourceService.getIsUseDataSourceConfig();
    }
}
