package com.muyu.etl.data.access.pool.exeption;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 15:26
 * @注释
 */
public final class PermissionException extends RuntimeException{
    private static final long serialVersionUID = 1L;
    private Integer code;
    private String message;
    private String detailMessage;

    public PermissionException() {
    }

    public PermissionException(String message) {
        this.message = message;
    }

    public PermissionException(String message, Integer code) {
        this.message = message;
        this.code = code;
    }

    public String getDetailMessage() {
        return this.detailMessage;
    }

    public PermissionException setDetailMessage(String detailMessage) {
        this.detailMessage = detailMessage;
        return this;
    }

    public String getMessage() {
        return this.message;
    }

    public PermissionException setMessage(String message) {
        this.message = message;
        return this;
    }

    public Integer getCode() {
        return this.code;
    }
}
