package com.muyu.etl.data.access;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import lombok.extern.log4j.Log4j2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 系统模块
 *
 * @author muyu
 */
@Log4j2
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class CloudDataSourceApplication {
    public static void main (String[] args) {
        SpringApplication.run(CloudDataSourceApplication.class, args);
    }
}
