package com.muyu.etl.data.access.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.data.access.domain.DataSource;

import com.muyu.etl.data.access.domain.req.DataSourceReq;
import com.muyu.etl.data.access.domain.resp.DataSourceResp;


import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/19 19:40
 * @注释
 */
public interface DataSourceService extends IService<DataSource> {
    List<DataSourceResp> selectList(DataSourceReq dataSourceReq);




    Integer  connectionMysql( DataSource dataSource);



    Integer syncAssetStructure(DataSource dataSource);


    /**
     * 可用数据
     * @return 可用数据源集合
     */
    List<DataSourceResp> getIsUseDataSourceConfig ();
}
