package com.muyu.etl.data.access.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.data.access.domain.req.EtlDataSqlReq;
import com.muyu.etl.domain.DataStructure;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/29 18:46
 * @注释
 */
public interface DataStructureService extends IService<DataStructure> {


    List<List<DataStructure>> selDataStructure(EtlDataSqlReq etlDataSqlReq);


    List<DataStructure> findTableValueByTableName(Long basicId, String tableName);

    Integer getTableValueTotal(EtlDataSqlReq etlDataSqlReq);

    Integer addTableValue(EtlDataSqlReq etlDataSqlReq);
}
